package es.verdnatura.presentation.view.feature.paletizador.model

import com.google.gson.annotations.SerializedName
import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO

class ItemExpeditionTruckVO(
    var id: Int,
    //Tarea 4902
    @SerializedName(value = "ETD", alternate = ["eta"])
    var eta: String = "",
    var Destino: String = "",
    var description: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)
data class ExpeditionTruckSalix(val eta:String,val description: String)

class ItemExpeditionTruckList(
    var list: List<ItemExpeditionTruckVO> = listOf()
)

class itemExpedetionState(
    var isError: Boolean = false,
    var errorMessage: String = "",
    var list: MutableList<itemsExpeditionDynamics>

)

class itemsExpeditionDynamics(
    var key: String = "",
    var value: String? = null
)

class ItemExpeditionStateRow(
    var title: String? = "",
    var value: String? = "",
    var isEditable: Boolean = true,
    var action: String = "",
    var barcodes: List<BarcodeVO> = listOf()
)
